package com.zd.system.api.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.annotation.Excel.Type;

import java.util.Date;

/**
 * 用户对象 sys_user
 *
 * @author zd
 */
public class SysUserStudentByExcel {
    private static final long serialVersionUID = 1L;

    /**
     * 姓名
     */
    @Excel(name = "姓名" ,type = Type.ALL, isRequired=true)
    private String nickName;

    /**
     * 工号
     */
    @Excel(name = "学号" ,type = Type.ALL, isRequired=true)
    private String userName;

    /**
     * 所属学院
     */
    @Excel(name = "所属学院" ,type = Type.ALL, isRequired=true)
    private String deptName;

    /**
     * 专业
     */
    @Excel(name = "专业",type = Type.ALL, isRequired=true)
    private String major;

    /**
     * 手机号码
     */
    @Excel(name = "手机号码" ,type = Type.ALL, isRequired=true)
    private String phonenumber;

    /**
     * 邮箱
     */
    @Excel(name = "邮箱" ,type = Type.ALL)
    private String email;

    /**
     * 性别
     */
    @Excel(name = "性别", readConverterExp = "0=男,1=女,2=未知" ,type = Type.ALL)
    private String sex;

    /**
     * 出生日期
     */
    @Excel(name = "出生日期" ,type = Type.ALL,dateFormat = "yyyy-MM-dd")
    private Date dateBirth;


    /**
     * 校园卡号
     */
    @Excel(name = "校园卡号" ,type = Type.ALL)
    private String cardNum;

    /**
     * 导师名称
     */
    @Excel(name = "导师",type = Type.ALL)
    private String tutorUserName;

    /**
     * 导师用户id
     */
    private Long tutorUserId;

    /**
     * 备注，用于记录错误的原因
     */
    @Excel(name = "备注" ,type = Type.EXPORT)
    private StringBuffer failRemark = new StringBuffer();

    /**
     * 是否启用账户
     */
    private Boolean sysUserEnable;

    /**
     * 是否更新数据
     */
    private Boolean upDate;


    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Date getDateBirth() {
        return dateBirth;
    }

    public void setDateBirth(Date dateBirth) {
        this.dateBirth = dateBirth;
    }

    public String getCardNum() {
        return cardNum;
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum;
    }

    public StringBuffer getFailRemark() {
        return failRemark;
    }

    public void setFailRemark(StringBuffer failRemark) {
        this.failRemark = failRemark;
    }

    public Boolean getSysUserEnable() {
        return sysUserEnable;
    }

    public void setSysUserEnable(Boolean sysUserEnable) {
        this.sysUserEnable = sysUserEnable;
    }

    public Boolean getUpDate() {
        return upDate;
    }

    public void setUpDate(Boolean upDate) {
        this.upDate = upDate;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getTutorUserName() {
        return tutorUserName;
    }

    public void setTutorUserName(String tutorUserName) {
        this.tutorUserName = tutorUserName;
    }

    public Long getTutorUserId() {
        return tutorUserId;
    }

    public void setTutorUserId(Long tutorUserId) {
        this.tutorUserId = tutorUserId;
    }

}
